

.sticky_zindex{
    background: #fff;
    z-index: 998;
}
.fs-header {
    z-index: 998;

    .f-hdtop {
        position: relative;
        z-index: 10;
        background: var(--white);
        // box-shadow: 0 2px 8px rgba(0, 0, 0, .1);
        border-bottom: 1px solid var(--gray100);
        .f-wrap {
            height: 72px;
            display: flex;
            align-items: center;
        }

        .fs-logo {
            display: inline-block;

            svg {
                width: 144px;
                height: 33px;
                color: var(--white);
            }
        }

        .fs-hdmn {
            margin: 0;
            display: flex;
            align-items: center;
            justify-content: flex-end;
            flex-grow: 4;

            .lbl-title {
                font-size: 16px;
                font-weight: 600;
                text-transform: uppercase;
            }

            &>li {
                display: inline-block;
                margin-left: 24px;
                position: relative;

                &:hover {
                    .wrap-fill {
                        ul {
                            display: block
                        }
                    }
                }

                &:first-child {
                    margin-left: 0;
                }

                &>a {
                    width: 56px;
                    height: 56px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    border-radius: 50%;
                    @extend .transition_ease;

                    .cart-count {
                        color: var(--black);
                        font-size: 12px;
                        font-weight: 500;
                        width: 24px;
                        height: 24px;
                        line-height: 23px;
                        border-radius: 50%;
                        border: 1px solid var(--color_main);
                        position: absolute;
                        text-align: center;
                        top: 0px;
                        right: 0px;
                        background: var(--color_main);
                    }
                }

                svg {
                    width: 24px;
                    height: 24px;
                    color: var(--dark_gray);
                    @extend .transition_ease;
                }

                &:hover {
                    &>a {
                        background: var(--gray50);

                        svg {
                            color: #626262;
                        }
                    }
                }

                &.notifi,
                &.new {
                    .wrap-fill {
                        ul {
                            width: 555px;
                            padding-top: 10px;

                            li {
                                display: flex;
                                align-items: center;
                                padding: 17.5px 16px;
                                font-size: 16px;
                                margin-bottom: 0;
                                cursor: pointer;

                                &:last-child {
                                    border-bottom: 0;
                                }

                                &:hover {
                                    background: var(--gray50);
                                }

                                &.active {
                                    background: var(--color_main_hover);
                                }

                                svg {
                                    color: var(--color_main);
                                }

                                .content {
                                    margin-left: 16px;
                                    position: relative;
                                    width: 100%;

                                    .tag {
                                        color: var(--color_main);
                                        font-weight: 600;
                                    }

                                    .time {
                                        position: absolute;
                                        color: var(--gray500);
                                        font-size: 12px;
                                        font-weight: 600;
                                        right: 0px;
                                        top: 4px;
                                    }

                                    p {
                                        margin-bottom: 0;
                                        margin-top: 5px;
                                        overflow: hidden;
                                        text-overflow: ellipsis;
                                        line-height: 20px;
                                        -webkit-line-clamp: 1;
                                        display: -webkit-box;
                                        -webkit-box-orient: vertical;
                                        height: 100%;
                                        padding: 0;
                                    }
                                }
                            }
                        }
                    }
                }

                &.new {
                    .wrap-fill {
                        ul {
                            li {
                                .content {
                                    margin-left: 0;
                                }
                            }
                        }
                    }
                }

                &.gio-hang {
                    .wrap-fill {
                        ul {
                            padding: 20px 16px;
                        }

                        .note {
                            color: var(--dark_gray);
                            padding: 0 10px;
                        }

                        .list {
                            margin-top: 16px;

                            .items {
                                display: flex;
                                margin-bottom: 16px;

                                .ava {
                                    position: relative;
                                    width: 56px;
                                    height: 56px;

                                    img {
                                        max-height: 90%;
                                        max-width: 90%;
                                        width: auto;
                                        height: auto;
                                        position: absolute;
                                        top: 0;
                                        bottom: 0;
                                        left: 0;
                                        right: 0;
                                        margin: auto;
                                        -webkit-transition: 0.5s ease;
                                        transition: 0.5s ease;
                                    }

                                    & * {
                                        @extend .transition_ease;
                                    }
                                }

                                .content {
                                    width: calc(100% - 56px);
                                    padding-left: 16px;
                                    margin-top: 10px;

                                    h3 {
                                        font-size: 16px;
                                        font-weight: 400;

                                        a {
                                            color: var(--black);
                                        }
                                    }

                                    .prie {
                                        color: var(--red);
                                        font-size: 14px;
                                        font-weight: 600;
                                    }
                                }
                            }
                        }

                        .btn-bottom {
                            display: flex;
                            background: var(--color_main);
                            border-radius: 56px;
                            height: 48px;
                            line-height: 48px;
                            justify-content: space-between;
                            padding: 0 16px;
                            font-size: 16px;
                        }
                    }
                }


                .wrap-fill {
                    position: absolute;
                    text-align: left;
                    top: 50px;
                    left: 50%;
                    transform: translate(-50%, 0);
                    width: auto;
                    padding-top: 15px;
                    font-size: 16px;

                    .view-all {
                        display: block;
                        text-align: center;
                        font-weight: 600;
                        padding: 20px;
                        color: var(--dark_gray);
                        cursor: pointer;

                        svg {
                            color: var(--color_main)
                        }

                        &:hover {
                            color: var(--color_main)
                        }
                    }

                    ul {
                        width: 295px;
                        display: none;
                        background: var(--white);
                        box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.25);
                        border-radius: 8px;
                        -moz-column-break-inside: avoid;
                        -webkit-column-break-inside: avoid;
                        page-break-inside: avoid;
                        break-inside: avoid;
                        position: relative;

                        li {
                            display: block;
                            margin-left: 0;

                            h3 {
                                font-weight: 400;
                                display: block;
                                margin: 0;
                                @extend .transition_ease;

                                &:hover {
                                    background: var(--gray50);
                                }
                            }

                            a {
                                padding: 1px 16px;
                                color: var(--dark_gray);
                                text-decoration: none;
                                display: flex;
                                align-items: center;
                                font-size: 16px;
                                font-weight: 600;
                                height: 56px;

                                i {
                                    margin: -3px 8px 0 0;
                                    font-size: 24px;
                                }
                            }

                            &.before-login {
                                display: block;

                                h3 {
                                    display: flex;
                                    align-items: center;

                                    a {
                                        position: relative;
                                        padding: 1px 0 0 20px;
                                    }

                                    .login {
                                        padding-left: 13px;

                                        &::before {
                                            content: "";
                                            background: var(--dark_gray);
                                            height: 14px;
                                            width: 1px;
                                            position: absolute;
                                            right: -10px;
                                            top: 22px;
                                        }
                                    }
                                }
                            }
                        }

                        &::before {
                            width: 13px;
                            height: 13px;
                            border: 1px solid var(--gray100);
                            border-width: 0 1px 1px 0;
                            content: '';
                            position: absolute;
                            top: -8px;
                            left: 50%;
                            left: calc(50% - 6px);
                            background: var(--white);
                            transform: rotate(225deg)
                        }

                    }
                }

                .fs-hdmsub {
                    opacity: 0;
                    filter: alpha(opacity=0);
                    visibility: hidden;
                    position: absolute;
                    left: 0;
                    width: 200px;
                    padding: 13px 20px;
                    background: var(--white);
                    border: solid 1px #d3d3d3;
                    -webkit-box-shadow: 0 2px 10px 0 rgba(0, 0, 0, .2);
                    -moz-box-shadow: 0 2px 10px 0 rgba(0, 0, 0, .2);
                    box-shadow: 0 2px 10px 0 rgba(0, 0, 0, .2);
                    -moz-transition: .2s ease-out;
                    -o-transition: .2s ease-out;
                    -webkit-transition: .2s ease-out;
                    -ms-transition: .2s ease-out;
                    transition: .2s ease-out;
                    -webkit-box-shadow: 0 2px 10px 0 rgba(0, 0, 0, .2);
                    -moz-box-shadow: 0 2px 10px 0 rgba(0, 0, 0, .2);
                    box-shadow: 0 2px 10px 0 rgba(0, 0, 0, .2);
                    -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
                    box-shadow: 0 6px 12px rgba(0, 0, 0, .175);

                    &>li {
                        text-align: left;

                        &>a {
                            display: block;
                            font-size: 14px;
                            line-height: 2.43;
                            color: #3d3d3d;

                            &:hover {
                                color: $color2;
                            }
                        }
                    }
                }

                .fs-hdmsnews {
                    top: 75px;
                }

                &:hover {
                    .fs-hdmsub {
                        opacity: 1;
                        filter: alpha(opacity=100);
                        visibility: visible;
                        -moz-transition: .3s ease-in;
                        -o-transition: .3s ease-in;
                        -webkit-transition: .3s ease-in;
                        -ms-transition: .3s ease-in;
                        transition: .3s ease-in;
                        -moz-transform: translateY(-20px);
                        -o-transform: translateY(-20px);
                        -ms-transform: translateY(-20px);
                        -webkit-transform: translateY(-20px);
                        transform: translateY(-20px);
                    }
                }
            }
        }

        .fs-search {
            margin-left: 53px;
            @extend .transition_ease;

            .action-wrap {
                display: block;
                width: 597px;
                position: relative;
                z-index: 11;

                input {
                    width: 100%;
                    border-radius: 48px;
                    height: 40px;
                    font-size: 14px;
                    font-weight: 300;
                    padding: 0 60px 0 15px;
                    border: 1px solid var(--gray200);
                    background: var(--gray50);
                    outline: 0;

                    &:focus,
                    &:active {
                        box-shadow: none;
                    }
                }

                button {
                    width: 50px;
                    height: 40px;
                    display: inline-block;
                    position: absolute;
                    top: 0;
                    right: 0;
                    border: none;
                    background: none;
                    cursor: pointer;

                    svg {
                        width: 25px;
                        height: 19px;
                        color: var(--dark_gray)
                    }

                    &:hover {
                        svg {
                            color: var(--color_main)
                        }
                    }
                }



                &.active {
                    .search-button {
                        opacity: 1;

                        svg {
                            color: var(--color_main)
                        }
                    }

                    .suggest-search {
                        display: block
                    }
                }
            }

            .suggest-search {
                box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.25);
                position: absolute;
                display: none;
                top: 41px;
                background: var(--white);
                left: 0;
                right: 0;
                border-radius: 8px;
            }

            .suggest-product {
                .key {
                    font-weight: 600;
                    font-size: 14px;
                    color: var(--black);
                    margin: 0;
                    padding: 16px 16px 6px 16px;
                }

                hr {
                    margin: 5px 0;
                }

                .items {
                    background: var(--white);
                    position: relative;
                    padding: 0;
                    display: flex;
                    align-items: center;
                    border-radius: 0;
                    padding: 5px 16px;
                    width: 100%;

                    &::before {
                        content: "";
                        border-bottom: 0;
                        position: absolute;
                        left: 0;
                        right: 0;
                        bottom: 0;
                    }

                    .ava {
                        display: block;
                        width: 60px;
                        height: 60px;
                        position: relative;
                        margin-right: 10px;

                        img {
                            max-height: 90%;
                            max-width: 90%;
                            width: auto;
                            height: auto;
                            position: absolute;
                            top: 0;
                            bottom: 0;
                            left: 0;
                            right: 0;
                            margin: auto;
                        }
                    }

                    .name,
                    .prie {
                        color: var(--red);
                        font-size: 14px;
                        font-weight: 600;
                        margin-bottom: 0;

                        a {
                            color: var(--black);
                            font-weight: 400;
                        }
                    }


                    .prie {
                        flex-grow: 3;
                        text-align: right;
                    }


                    &:hover {
                        background: var(--gray50);

                        .name {
                            a {
                                color: var(--color_main)
                            }
                        }
                    }
                }
            }
        }

        @media (max-width: 1400px) {
            .fs-hdmn>li {

                &.notifi,
                &.new {
                    .wrap-fill {
                        ul {
                            width: 400px;
                        }
                    }
                }

                &.user,
                &.gio-hang {
                    .wrap-fill {
                        left: -190px;
                        transform: translate(0%, 0);

                        ul {
                            width: 250px;

                            &::before {
                                left: inherit;
                                right: 25px;
                            }
                        }
                    }
                }
            }
        }
    }
}

.header {
    display: none;
    height: 60px;
    z-index: 998;
    background: var(--white);
    border-bottom: 1px solid var(--gray100);
    padding: 0 16px;

    &.header_cloned {
        position: fixed;
        top: 0;
        left: 0;
        z-index: 999;
        box-shadow: 0 1px 3px rgba(80, 80, 80, 0.2), 0 3px 5px rgba(80, 80, 80, 0.15);
        @include cubic-transition($delay: 0, $duration: 250ms, $property: (all));
        -webkit-transform: translateY(0);
        -ms-transform: translateY(0);
        transform: translateY(0);

        &.nav-up {
            -webkit-transform: translateY(-100%);
            -ms-transform: translateY(-100%);
            transform: translateY(-100%);
        }

    }

    &.header_cloned+.section_nav {
        margin-top: 45px;
    }

    .img_logo {
        padding-top: 5px;
        margin-left: 16px;

        img {
            width: 115px;
        }
    }

    .btn_control_menu {
        display: block;
        cursor: pointer;
        text-align: center;
        margin-top: -2px;

        svg {
            width: 24px;
            height: 24px;
        }
    }

    &__right {
        display: flex;
        flex-grow: 3;
        justify-content: flex-end;

        svg {
            width: 20px;
            height: 20px;
        }
    }

    .wrap-fill {
        position: fixed;
        font-size: 16px;
        background: var(--white);
        left: 0;
        right: 0;
        top: 0;
        width: 100%;
        transition-duration: 300ms;
        transition-property: all;
        transition-timing-function: cubic-bezier(.7, 1, .7, 1);
        transform: translateX(100%);

        .title {
            height: 48px;
            color: var(--dark_gray);
            font-size: 16px;
            padding: 15px 20px;

            .close {
                position: absolute;
                right: 15px;
                top: 6px;
                font-size: 30px;
                line-height: 1;
                font-weight: 400;
                color: var(--dark_gray);
                text-shadow: none;
                opacity: 1;
            }
        }

        ul {
            padding: 20px;
            margin-bottom: 0;

            &::before,
            &::after {
                left: 50%;
            }
        }

        .note {
            color: var(--color_main);
            text-align: center;
            padding: 0 10px;
        }

        .list {
            .items {
                display: flex;
                margin-bottom: 20px;

                .ava {
                    position: relative;
                    width: 56px;
                    height: 56px;

                    img {
                        max-height: 90%;
                        max-width: 90%;
                        width: auto;
                        height: auto;
                        position: absolute;
                        top: 0;
                        bottom: 0;
                        left: 0;
                        right: 0;
                        margin: auto;
                        -webkit-transition: 0.5s ease;
                        transition: 0.5s ease;
                    }

                    & * {
                        @extend .transition_ease;
                    }

                    .delete {
                        width: 70px;
                        height: 70px;
                        align-items: center;
                        display: flex;
                        justify-content: center;
                        opacity: 0;

                        svg {
                            width: 36px;
                            height: 36px;
                        }
                    }

                    &:hover {
                        background: $color1-hover;

                        .delete {
                            opacity: 1;
                        }
                    }

                    &:active {
                        background: $color1-active;
                    }
                }

                .content {
                    width: calc(100% - 70px);
                    padding-left: 20px;

                    h3 {
                        font-size: 16px;
                        font-weight: 400
                    }
                }
            }
        }

        .btn-bottom {
            text-align: center;
            margin: 0 auto;

            .buy {
                background: var(--color_main);
                border-radius: 56px;
                height: 48px;
                line-height: 48px;
                padding: 0 16px;
                font-size: 16px;
                color: var(--dark_gray);
                display: block;
                font-weight: 600;
                ;
            }

            span {
                color: var(--color_main);
            }
        }

        .suport-team {
            display: block;
            position: static;
            width: 100%;

            &.active {
                .content-chat {
                    height: 100vh;
                    max-height: calc(100vh - 202px);
                    overflow: hidden;
                }

                .scroll-x {
                    display: none !important;
                    opacity: 0;
                }

                .input--text .submit-comment {
                    top: 10px;

                    i {
                        font-size: 19px
                    }
                }
            }
        }
    }

    .onclick {
        &.active+.wrap-fill {
            transform: translateX(0);
        }
    }

    .close-search {
        position: absolute;
        left: 7px;
        top: 9px;
        width: 40px;
        height: 40px;
        line-height: 40px;
        text-align: center;
        background: var(--white);
        display: none;

        svg {
            width: 24px;
            height: 24px;
        }
    }

    #auto_search_button {
        background: none;
        outline: 0;
        width: 36px;
        height: 36px;
        line-height: 34px;
        text-align: center;
        display: block;
        border-radius: 50%;
        border: 1px solid var(--gray200);

        svg {
            width: 18px;
            height: 18px;
        }

        &.active {
            position: relative;
            z-index: 2;

            svg {
                color: #D3D3D3;
            }
        }
    }

    .block_search {
        position: absolute;
        left: 55px;
        top: 11px;
        right: 10px;
        background: var(--white);
        display: none;
        z-index: 8;

        .search-input {
            height: 36px;
            width: 100%;
            padding: 0 16px;
            border: 1px solid var(--gray200);
            border-radius: 48px;
            font-size: 16px;
            @extend .transition_ease;
            box-shadow: none;
            outline: 0;

            &:focus,
            &:active {
                box-shadow: none;
            }
        }

        .search-button {
            background: none;
            outline: 0;
            width: 36px;
            height: 36px;
            line-height: 34px;
            border: 0;
            position: absolute;
            right: 10px;
        }

        .search.active {
            .suggest-search {
                display: block
            }
        }

        .suggest-search {
            display: none;
            position: absolute;
            left: -60px;
            top: 49px;
            right: -10px;
            margin: 0;
            background: var(--white);
            box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.25);
            border-radius: 3px;
        }

        .suggest-product {
            label {
                color: var(--gray600);
                font-weight: 500;
                display: block;
                padding: 16px 16px 8px 16px;
            }

            hr {
                margin: 5px 0;
                border-top: 1px solid var(--gray200);
            }

            .items {
                background: var(--white);
                padding: 0;
                display: flex;
                align-items: center;
                border-radius: 0;
                padding: 10px 16px;

                .ava {
                    display: block;
                    width: 48px;
                    height: 48px;
                    position: relative;
                    margin-right: 10px;

                    img {
                        max-height: 90%;
                        max-width: 90%;
                        width: auto;
                        height: auto;
                        position: absolute;
                        top: 0;
                        bottom: 0;
                        left: 0;
                        right: 0;
                        margin: auto;
                    }
                }

                .content {
                    width: calc(100% - 40px);
                    color: var(--gray600);
                }

                .name,
                .prie {
                    font-size: 14px;
                    margin-bottom: 0;
                    font-weight: 400;

                    a {
                        color: var(--gray600);
                        margin-bottom: 5px;
                        display: block;
                    }
                }

                .prie {
                    strong {
                        font-size: 16px;
                        color: var(--red);
                    }
                }
            }
        }

    }

    .gio-hang {
        margin-left: 8px;
        position: relative;

        .onclick {
            width: 36px;
            height: 36px;
            line-height: 36px;
            text-align: center;
            display: block;
        }

        .wrap-fill {
            transform: translateX(0);
            transform: translateY(-100%);
        }

        .countTotalCart {
            color: var(--dark_gray);
            font-size: 12px;
            font-weight: 500;
            width: 18px;
            height: 18px;
            line-height: 17px;
            border-radius: 50%;
            border: 1px solid var(--color_main);
            position: absolute;
            text-align: center;
            top: 0px;
            right: -3px;
            background: var(--color_main);
        }
    }

    .chatbox {
        margin-left: 23px;
    }
}


.main--menu {
    width: 289px;
    background: var(--white);
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 2247483647;
    will-change: transform;
    transition: .4s;
    transform: translate(-100%);

    .fs-right {
        padding: 0 16px;
        margin-top: 40px;
    }

    .hotline {
        margin-bottom: 16px;

        span {
            display: block;
            color: rgba(23, 28, 39, 0.5);
        }

        strong,
        a {
            color: var(--dark_gray);
            font-size: 16px;
            font-weight: 600;
        }
    }

    .social {
        ul {
            margin-bottom: 0;

            li {
                margin-right: 8px;
                display: inline-block;

                a {
                    border-radius: 50%;
                    width: 32px;
                    height: 32px;
                    line-height: 32px;
                    display: inline-block;
                    text-align: center;
                    background: var(--color_main);
                    color: var(--dark_gray)
                }
            }
        }
    }

    &__nav {
        li {
            display: block;
            position: relative;

            &:last-child {
                margin-bottom: 0;
            }

            h3 {
                font-size: 16px;
                font-weight: 600;
                margin-bottom: 0;

                a {
                    color: var(--black);
                    display: block;
                    padding: 6px 16px;

                    i {
                        font-size: 24px;
                        margin-right: 8px;
                    }
                }
            }

            .number {
                color: var(--dark_gray);
                font-size: 13px;
                font-weight: 500;
                width: 25px;
                height: 25px;
                line-height: 25px;
                border-radius: 50%;
                border: 1px solid var(--color_main);
                position: absolute;
                text-align: center;
                top: 12px;
                right: 16px;
                background: var(--color_main);
            }
        }

        .up {
            background: var(--gray50);

            &::before {
                content: "";
                border-top: 2px solid var(--black);
                border-right: 2px solid var(--black);
                position: absolute;
                right: 20px;
                top: 20px;
                width: 10px;
                height: 10px;
                transform: rotate(-45deg);
            }
        }

        .down {
            &::before {
                content: "";
                border-top: 2px solid var(--black);
                border-right: 2px solid var(--black);
                position: absolute;
                right: 24px;
                top: 18px;
                width: 10px;
                height: 10px;
                transform: rotate(135deg);
            }
        }

        .level2 {
            margin-top: 4px;
            display: none;

            li {
                h3 {
                    a {
                        color: var(--black);
                    }
                }
            }

            .before-login {
                .login {
                    &::before {
                        content: "";
                        background: var(--black);
                        width: 1px;
                        height: 13px;
                        position: absolute;
                        right: 0;
                        top: 20px;
                    }
                }

                h3 {

                    a {
                        color: var(--black);
                        background: none !important;
                        display: inline-block;
                        position: relative;
                    }
                }
            }
        }
    }
}

.show_main_menu .main--menu {
    transform: translate(0);
}

.overlay-bg {
    position: fixed;
    display: none;
    background: rgba(0, 0, 0, 0.6);
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 999;

}

.close-menu {
    display: none;
    position: fixed;
    top: 7px;
    right: 15px;
    color: var(--white);
    font-size: 30px;
    line-height: 1;
    z-index: 999;
}

.show_main_menu {

    .overlay-bg,
    .close-menu {
        display: block;
    }
}

.open-header {
    .header {
        z-index: 9999;
    }

    .overlay-bg {
        display: block;
        z-index: 999;
    }
}

@media (max-width: 1279px) {
    .fs-header {
        .f-hdtop {
            .fs-search {
                &>form {
                    max-width: 500px;
                }
            }

            .fs-hdmn {
                &>li {
                    margin-left: 30px;
                }
            }
        }
    }
}

@media (max-width: 1100px) {
    .fs-header {
        .f-hdtop {
            .fs-search {
                margin-left: 30px;

                &>form {
                    max-width: 400px;
                }
            }

            .fs-hdmn {
                &>li {
                    margin-left: 10px;
                }
            }
        }
    }
}